Package org.h2gis.functions.spatial.convert

# Class ST_ToMultiSegments

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.convert.ST_ToMultiSegments

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_ToMultiSegments extends org.h2gis.api.DeterministicScalarFunction
ST_ToMultiSegments converts a geometry into a set of distinct segments stored in a MultiLineString. Returns MULTILINESTRING EMPTY for geometries of dimension 0.

Author:
  Adam Gouge, Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_ToMultiSegments()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.MultiLineString`
`createSegments(org.locationtech.jts.geom.Geometry geom)`
Converts a geometry into a set of distinct segments stored in a MultiLineString.
`static void`
`createSegments(org.locationtech.jts.geom.LineString geom, List<org.locationtech.jts.geom.LineString> result)`
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_ToMultiSegments

public ST_ToMultiSegments()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### createSegments

public static org.locationtech.jts.geom.MultiLineString createSegments(org.locationtech.jts.geom.Geometry geom) throws SQLException
Converts a geometry into a set of distinct segments stored in a MultiLineString.

Parameters:
  `geom` - Geometry
Returns:
  A MultiLineString of the geometry's distinct segments
Throws:
  `SQLException`

### createSegments

public static void createSegments(org.locationtech.jts.geom.LineString geom, List<org.locationtech.jts.geom.LineString> result) throws SQLException

Throws:
  `SQLException`